%define _altdata_dir %_datadir/alterator

Name: alterator-samba
Version: 0.5
Release: alt0.M41.14
Packager: Grigory Batalov <bga@altlinux.ru>

Summary: alterator module for samba conf file editing
License: GPL
Group: System/Configuration/Other
Url: http://wiki.sisyphus.ru/Alterator

Source: %name-%version.tar

BuildArch: noarch

Requires: alterator >= 3.9-alt8.M41.3
Requires: alterator-sh-functions >= 0.8-alt0.M41.1
Requires: libshell >= 0.0.6-alt0.M41.1
Requires: samba
Requires: alterator-services
Conflicts: alterator-fbi < 2.11-alt0.M41.2
Requires: smbldap-tools
Requires: ldap-user-tools >= 0.1-alt2.M41.4

BuildPreReq: alterator >= 3.9-alt8.M41.3
BuildPreReq: alterator-fbi >= 2.11-alt0.M41.2
BuildPreReq: alterator-l10n >= 0.16-alt3.M41.11
# Automatically added by buildreq on Mon Jul 11 2005 (-bi)
BuildRequires: alterator

%description
Samba configuration alterator module

%prep
%setup -q

%build
%make_build

%install
%makeinstall
%find_lang %name

%files -f %name.lang
%_altdata_dir/interfaces/*/*/*
%_altdata_dir/applications/*
%_altdata_dir/help/*/*
%_altdata_dir/templates/*
%_alterator_backend3dir/*

%changelog
* Thu Feb 12 2009 Lebedev Sergey <barabashka@altlinux.org> 0.5-alt0.M41.14
- added auto change user's sambaSID
- removed samba schema enable
- requires ldap-user-tools

* Mon Feb 09 2009 Paul Wolneykien <manowar@altlinux.ru> 0.5-alt0.M41.13
- Unnecessary quotes in the base DN list removed (by barabashka@);
- `slapd-generated.conf' base DN is listed first of others.

* Wed Jan 28 2009 Paul Wolneykien <manowar@altlinux.ru> 0.5-alt0.M41.12
- New LDAP integration with automatic configuration

* Wed Jan 28 2009 Vladislav Zavjalov <slazav@altlinux.org> 0.5-alt0.M41.11
- rebuild with new alterator-l10n

* Fri Jan 23 2009 Paul Wolneykien <manowar@altlinux.ru> 0.5-alt0.M41.10
- Made top-level password label hidden in non-LDAP mode.

* Mon Dec 08 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.5-alt0.M41.9
- build for 4.1

* Mon Dec 08 2008 Paul Wolneykien <manowar@altlinux.ru> 0.6-alt0.M41.0
- Support for LDAP user database

* Fri Dec 05 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.5-alt0.M41.8
- rebuild with new alterator-l10n

* Tue Dec 02 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.5-alt0.M41.7
- rebuild with new alterator-l10n (for fixed help)

* Fri Nov 07 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.5-alt0.M41.6
- fix label, rebuild with new alterator-l10n

* Fri Nov 07 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.5-alt0.M41.5
- fix label

* Fri Nov 07 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.5-alt0.M41.4
- rebuild with new alterator-l10n

* Wed Oct 15 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.5-alt0.M41.3
- fix constraints

* Wed Oct 15 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.5-alt0.M41.2
- add Requires: libshell >= 0.0.6-alt0.M41.1

* Wed Oct 15 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.5-alt0.M41.1
- build for 4.1; type->constraints

* Fri Oct 03 2008 Stanislav Ievlev <inger@altlinux.org> 0.5-alt1
- redesign UI and backend
- join to common translation database

* Tue Aug 12 2008 Stanislav Ievlev <inger@altlinux.org> 0.4-alt1
- update html templates:
   * replace template-* backend with modern schema
   * remove <h1> and <title>
   * move design to /usr/share/alterator/design
   * remove orphaned links to alterator-chkconfig
- improve samba backend:
   * remove share name from url for /samba/shares template
- update build system:
   * use global support for awk based backends
   * use module.awk

* Tue Jun 17 2008 Grigory Batalov <bga@altlinux.ru> 0.3-alt2
- Require alterator-services instead of alterator-chkconfig.

* Fri Jun 06 2008 Grigory Batalov <bga@altlinux.ru> 0.3-alt1
- Rebuild for Sisyphus.

* Wed May 28 2008 Grigory Batalov <bga@altlinux.ru> 0.3-alt0.M41.1
- Sort available global parameters.
- Service restart link update.
- Russian translation update.

* Wed May 28 2008 Grigory Batalov <bga@altlinux.ru> 0.2-alt0.M41.1
- Change help paths to the new style (slazav@).

* Tue Apr 08 2008 Grigory Batalov <bga@altlinux.ru> 0.2-alt0.M40.1
- Separate workgroup and server string from other parameters.
- Allow to rename a share.
- Rename share description to "Share name" to avoid confusion with it's path.
- Fix share name constraint: allow letters and digits only.

* Fri Feb 15 2008 Grigory Batalov <bga@altlinux.ru> 0.1-alt4
- Clearify field restrictions.

* Thu Dec 13 2007 Grigory Batalov <bga@altlinux.ru> 0.1-alt3
- Use dash in "Samba server" translation.
- Russian help page.

* Mon Aug 06 2007 Grigory Batalov <bga@altlinux.ru> 0.1-alt2
- Switch to new menu system.

* Thu Jun 28 2007 Grigory Batalov <bga@altlinux.ru> 0.1-alt1
- Specfile cleanup.
- Backend rewritten in Awk.

* Sun Apr 1 2007 Bogomolov Alex <lekseich@altlinux> 0.0-alt0
- Initial release
